<?xml version="1.0" encoding="utf-8"?>
<resources xmlns:tools="http://schemas.android.com/tools">

    <style name="Title">
        <item name="android:textSize">@dimen/title_text_size</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textFontWeight" tools:targetApi="p">700</item>
    </style>

    <style name="SubTitle">
        <item name="android:textSize">@dimen/subtitle_text_size</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textFontWeight" tools:targetApi="p">500</item>
    </style>

    <style name="Text">
        <item name="android:textSize">@dimen/subtitle_text_size</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="SubText">
        <item name="android:textSize">@dimen/default_text_size</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="HeaderFiatAmount">
        <item name="android:textSize">@dimen/header_fiat_amount_text_size</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="HeaderCurrencyAmount">
        <item name="android:textSize">@dimen/header_currency_amount_text_size</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textFontWeight" tools:targetApi="p">600</item>
    </style>

    <style name="FiatAmount">
        <item name="android:textSize">@dimen/fiat_amount_text_size</item>
        <item name="android:textColor">@color/white</item>
    </style>

    <style name="HighlightedFiatAmount" parent="FiatAmount">
        <item name="android:textFontWeight" tools:targetApi="p">600</item>
    </style>

    <style name="CurrencyAmount">
        <item name="android:textSize">@dimen/currency_amount_text_size</item>
        <item name="android:textColor">@color/secondary_text_color</item>
    </style>

    <style name="Link">
        <item name="android:layout_width">@dimen/link_width</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textSize">@dimen/default_text_size</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:textFontWeight" tools:targetApi="p">600</item>
        <item name="android:ellipsize">middle</item>
        <item name="android:maxLines">1</item>
    </style>

    <style name="ImageIcon">
        <item name="android:layout_width">@dimen/icon_height</item>
        <item name="android:layout_height">@dimen/icon_width</item>
    </style>

    <style name="FillButton">
        <item name="android:layout_width">@dimen/fill_button_width</item>
        <item name="android:layout_height">@dimen/fill_button_height</item>
        <item name="android:textAlignment">center</item>
        <item name="android:textAppearance">@style/FillTextButton</item>
        <item name="android:background">@drawable/confirm_button_background</item>
    </style>

    <style name="FillTextButton">
        <item name="android:textSize">@dimen/button_text_size</item>
        <item name="android:textColor">@color/dark_gray</item>
        <item name="android:textStyle">bold</item>
    </style>

    <style name="SettingsItem">
        <item name="android:drawablePadding">@dimen/margin_14</item>
        <item name="android:padding">@dimen/padding_20</item>
        <item name="android:textAppearance">@style/SubTitle</item>
    </style>

    <style name="Divider">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">@dimen/divider_height</item>
        <item name="android:background">@color/light_gray</item>
    </style>

    <style name="QRCodeCard">
        <item name="android:layout_width">@dimen/qr_code_card_width</item>
        <item name="android:layout_height">@dimen/qr_code_card_height</item>
        <item name="strokeColor">@color/white</item>
        <item name="cardBackgroundColor">@color/white</item>
        <item name="strokeWidth">@dimen/qr_code_card_stroke_width</item>
    </style>

    <style name="DescriptionEditText">
        <item name="android:layout_width">@dimen/description_edit_text_width</item>
        <item name="android:layout_height">@dimen/description_edit_text_height</item>
        <item name="android:background">@null</item>
        <item name="android:gravity">top</item>
        <item name="android:paddingVertical">@dimen/padding_10</item>
        <item name="android:paddingHorizontal">@dimen/padding_14</item>
        <item name="android:textAppearance">@style/SubText</item>
    </style>

    <style name="FloatingActionButton">
        <item name="android:layout_width">@dimen/floating_action_button_width</item>
        <item name="android:layout_height">@dimen/floating_action_button_height</item>
        <item name="android:layout_gravity">center_horizontal</item>
        <item name="android:outlineAmbientShadowColor" tools:targetApi="p">@color/white</item>
        <item name="android:outlineSpotShadowColor" tools:targetApi="p">@color/white</item>
        <item name="android:backgroundTint">@color/dark_gray</item>
        <item name="android:colorAccent">@color/white</item>
        <item name="tint">@color/white</item>
        <item name="elevation">@dimen/floating_action_button_elevation</item>
        <item name="borderWidth">@dimen/floating_action_button_border_width</item>
        <item name="backgroundTint">@color/white</item>
    </style>

    <dimen name="link_width">162dp</dimen>
</resources>